Introduction

Build your chat room now!

Chat Anywhere is a chat server for real-time chatting. You can use it both on the LAN and on the internet. You can build one or more web-based chat rooms on your computer. Anyone on the network can visit your web-based chatroom via an internet browser -- Thus, they needn't install Chat Anywhere or any other client software. You can kick an abusive user out of your chatroom and you can set forbidden IPs so unwelcomed visitors are banned from your chat room. You can easily customize the appearance of your chatroom to suit any occasion.

Unlike other web-based chatrooms, you needn't install any web server(IIS/Apache/etc, very difficult to control for most users) because this software is a simple web server in and of itself. And unlike other chat messagers, all chatters needn't install any special 'client software'(like ICQ) because a browser is enough. So you can use Chat Anywhere individually and flexibly. Where ever you are, where ever you go, if you can let your computer connect to a network, you can build your chatroom within seconds and then you can chat with other individuals in the network immediately.

Website: http://www.lionmax.com

Email: support@lionmax.com


Quick Start
Step 1: Run Chat Anywhere and select a chat room, then press the "OK" button

Step 2: Find the URL of your chat room by clicking the "Info" button on the toolbar

Then you will see the URL(s) of your chat room on this window:

* If your computer has more than one IP address, you will see more than one URL on the window.

Step 3: Tell your friends the URL, then you can have a chat by visiting the URL.

Copyright © 2003 LionMax Software. All Rights Reserved.


Install Chat Anywhere on your home PC
1) Run "ca_setup.exe" on your home PC to install Chat Anywhere on it

2) Run Chat Anywhere and start a chat room

3) Find the URL of your chat room on the "Info" window

4) Tell the URL to your friends so they can visit your chat room

See Also

Install Chat Anywhere on your website server
Install the NT service
Why users can not visit your chat room?


Install Chat Anywhere on your website server
1) Run "ca_setup.exe" on your website server to install Chat Anywhere on it. (It's no use to upload all installed files to your website server via FTP. Chat Anywhere can not work if you just upload it. And please make sure that the operating system of your server is Windows, not Linux or Unix, because Chat Anywhere can only run on a windows system. )

2) Run Chat Anywhere and start a chat room

3) Change the port number of your chat room if port 80 has already been used by your website.

4) Suppose that you have assigned port number 90 to your chat room, then you can add a link on your homepage like this:
<a href="http://DomainName:90">Chat Room</a>
or:
<a href="http://IP:90">Chat Room</a>
Then everybody can visit your chat room by clicking the link on your homepage.

5) Install Chat Anywhere as NT service so it will automatically start your chat rooms when the server restarts.

See Also

Install Chat Anywhere on your home PC
Install the NT service
Control your chat room remotely
Why users can not visit your chat room?


Install the NT service

You can install Chat Anywhere as NT service so it will automatically start your chat rooms when the server restarts.

Normally, you should install/uninstall it from the menu:
chat software

Then you can install/uninstall Chat Anywhere as NT service on this window:
chat software

Note:
Once you've installed the NT service, you can check or un-check these rooms at anytime. You need not to re-install the NT service again.

There are two files under the Chat Anywhere's directory:
1) NTService.exe - NTService.exe is the main module, which contains all server code. Please don't run it directly.
2) MSevice.exe - MSevice.exe is server control manager. You can install or uninstall the NT service from the manager.

Unlike previous versions, there is no need to specify an "Administrator" account for the NT service. That is, after you installed the NT service, you don't have to config the NT service.

See Also

Install Chat Anywhere on your home PC
Install Chat Anywhere on your website server
Control your chat room remotely


Start chat rooms from the batch file

First please click the "Command line sample" item from the start menu.

This sample will start the chat room "Football" and then minimize the main window of Chat Anywhere to the system tray.

Then please open "Sample.bat" with any notepad. (You can find this batch file under the Chat Anywhere's directory) You will see something like this:
@echo This is a sample:
start chatanyw football
@pause

Syntax: chatanyw RoomName
Purpose: To start a certain chatroom directly.
Example: chatanyw football
(this will start chatroom 'football')

Note: You must create the chat room before you start it, you can not start a chat room which doesn't exist. You can use command line parameters in these two ways:
1) Type the command in the command window(MS-DOS window).
2) Edit and save your command lines to a batch (*.bat) file.

You can open and edit the batch file with notepad. Be sure to save the .bat file to the Chat Anywhere's directory. Then you can double click the batch file to launch it.

* You can edit a "2rooms.bat" file with this contents:
Start chatanyw anywhere
Start chatanyw football
Put this file into the Chat Anywhere's directory. Then double click it to start two chat rooms at one time. (Please set different port number for these two chat rooms before you run the batch file. )

See Also

Control your chat room remotely


Control your chat room remotely
Sometimes you want to install Chat Anywhere on a remote computer, so you need to control your chat room remotely.

Remote manage service is a separate service of Chat Anywhere. To start it, please click the "Remote" button on the toolbar:

Then input the port number, name and password:

There are two ways to start the remote manage service:
1) Manually - click the "Start" button.
2) Automatically - check the "Start remote manage service when chat room start" option. The service will start when the chat room starts.

After the remote manage service starts, you can visit the URL listed on the window to manage your chat room:

Note: You must assign different port number for the chat room service and remote manage service, otherwise one of them will not work. For example, assign port 80 for chat room, port 6000 for manage service.

See Also

Install Chat Anywhere on your home PC
Install Chat Anywhere on your website server
Install the NT service


Why users can not visit your chat room?
If no one can visit your chat room except yourself, please check these possibilities:

First, please check if there is some firewall software on your computer. Outside requests may be blocked by your firewall. You can config the firewall to enable the port number of Chat Anywhere or allow Chat Anywhere to respond outside requests. Then please make sure that other computers can access your computer directly.
file share
Suppose those computers all installed Chat Anywhere, then
1) Computer 1, 2, 3 can access computer 4
2) Computer 1, 2, 3 can access each other
3) Computer 4 can only access computer 2, it can not access computer 1 and 3 directly.

So if you installed Chat Anywhere on computer 1 or 3, your friends from computer 4 can not access your chat room.

Then please ask your friends to ping the IP address of your computer. Please ask them to open a ms-dos command window. Then type 'ping YourIP' and then press the 'enter' key. For example,

If they can only see 'Request timed out', it means that they can not access your computer directly at all. There could be a firewall software on your computer, which blocks all outside requests. Or your computer doesn't not connect to the internet directly.

For Windows XP user:
There is a Internet connection firewall on the Windows XP system. By default it is disabled. But it may be enabled so outside requests may be blocked by the firewall. To disable the Internet connection firewall of Windows XP, please follow these steps: 1) Open Network Connections (Click Start, click Control Panel, and then double-click Network Connections.) 2) Click the Dial-up, LAN or High-Speed Internet connection, and then, under Network Tasks, click Change settings of this connection. 3) On the Advanced tab, under Internet Connection Firewall, clear the "Protect my computer and network by limiting or preventing access to this computer from the Internet" check box.

Then please try again.

See Also

Install Chat Anywhere on your website server


Change the style
There are 12 styles for you to choose:
1 | 2 | 3
4 | 5 | 6
7 | 8 | 9
10 | 11 | 12

To change the style for your chat room, please follow these steps:

Step 1: run Chat Anywhere and select a chat room, then press the "OK" button

Step 2: Click the "Custom" button on the toolbar

Step 3: Then please click the "Chat Page" button

Step 4: Select a style from the drop-down list

Step 5: Press "Save" button to save your setting

See Also

Change the font, font size, font color, and font style


Change the background color
To change the background color of your chat room, please follow these steps:

Step 1: Run Chat Anywhere and select a chat room, then press the "OK" button

Step 2: Click the "Custom" button on the toolbar

Step 3: Then please click the "Chat Page" button

Step 4: There are 4 areas on the chat page: Input, Title, Board, List.

You must change their background color separately. Click on each area you will see these pop-up menus:
(Title/Banner area) | (Board area)
(Input area) | (List area)

Then click the menu item "Background Color" and then select the color from the color picker dialog box.

Step 5: Press "Save" button to save your setting

See Also

Change the background image


Change the background image
To change the background image of your chat room, please follow these steps:

Step 1: Run Chat Anywhere and select a chat room, then press the "OK" button

Step 2: Click the "Custom" button on the toolbar

Step 3: Then please click the "Chat Page" button

Step 4: There are 4 areas on the chat page: Input, Title, Board, List.

You must change their background image separately. Click on each area you will see these pop-up menus:
(Title/Banner area) | (Board area)
(Input area) | (List area)

Then click the menu item "Background Image" and then select a image file on this window.

* If you do not want to use background image, please check the "No Background image" check-box.

Step 5: Press "Save" button to save your setting

Remarks

If you want use your own image files, please put your image files into the directory "root\images\bkground\".

See Also

Change the background color


Change the chat topic
To change the chat topic of your chat room, please follow these steps:

Step 1: Run Chat Anywhere and select a chat room, then press the "OK" button

Step 2: Click the "Custom" button on the toolbar

Step 3: Then please click the "Chat Page" button

Step 4: There are 4 areas on the chat page: Input, Title, Board, List.

Click on the Title/Banner area you will see this pop-up menu:

Click the menu item "Chat Topic". Then you can change the chat topic on this window:

Step 5: Press "Save" button to save your setting

See Also

Change the banner


Change the banner
To change the banner of your chat room, please follow these steps:

Step 1: Run Chat Anywhere and select a chat room, then press the "OK" button

Step 2: Click the "Custom" button on the toolbar

Step 3: Then please click the "Chat Page" button

Step 4: There are 4 areas on the chat page: Input, Title, Board, List.

Click on the Title/Banner area you will see this pop-up menu:

Click the menu item "Banner" and then you can select a image file for the banner. You can also specify the URL which will redirect user to when user clicks on the banner on this window:

Step 5: Press "Save" button to save your setting

Remarks

If you want use your own image files, please put your image files into the directory "root\images\banner\".

See Also

Change the chat topic


Change the language
To change the language of your chat room, please follow these steps:

Step 1: Run Chat Anywhere and select a chat room, then press the "OK" button

Step 2: Click the "Custom" button on the toolbar

Step 3: Then please click the "Language" button

Step 4: Select a language on this window then please click the "OK" button to save your setting.

See Also

LanguageFile


Enable/disable the 'private chat' function
To enable/disable the 'private chat' function, please follow these steps:

Step 1: Run Chat Anywhere and select a chat room, then press the "OK" button

Step 2: Click the "Custom" button on the toolbar

Step 3: Then please click the "Chat Page" button

Step 4: There are 4 areas on the chat page: Input, Title, Board, List.

Click on the Input area you will see this pop-up menu:

Un-check/check the menu item "Disable Private Chat" will enable/disable the 'private chat' function.

Step 5: Press "Save" button to save your setting.

See Also

Enable/disable the 'sound alert' function


Enable/disable the 'sound alert' function
If you enabled "sound alert" for your chat room, all users will hear a sound when a new user comes in the chat room.

To enable/disable the 'sound alert' function, please follow these steps:

Step 1: Run Chat Anywhere and select a chat room, then press the "OK" button

Step 2: Click the "Custom" button on the toolbar

Step 3: Then please click the "Chat Page" button

Step 4: Check/un-check the "Sound Alert" check-box will enable/disable the 'sound alert' function.

Step 5: Press "Save" button to save your setting.

See Also

Customize the sound for 'sound alert'


Show/hide the 'timestamp'
To show/hide the 'timestamp' on the chat screen, please follow these steps:

Step 1: Run Chat Anywhere and select a chat room, then press the "OK" button

Step 2: Click the "Custom" button on the toolbar

Step 3: Then please click the "Chat Page" button

Step 4: There are 4 areas on the chat page: Input, Title, Board, List.

Click on the Board area you will see this pop-up menu:

Check/un-check the menu item "Show Timestamp" will show/hide the 'timestamp' on the chat screen.

Step 5: Press "Save" button to save your setting.

See Also

TimeStamp


Show/hide the 'auto scroll' check-box
To show/hide the 'auto scroll' check-box, please follow these steps:

Step 1: Run Chat Anywhere and select a chat room, then press the "OK" button

Step 2: Click the "Custom" button on the toolbar

Step 3: Then please click the "Chat Page" button

Step 4: There are 4 areas on the chat page: Input, Title, Board, List.

Click on the Input area you will see this pop-up menu:

Check/un-check the menu item "Show 'Auto Scroll'" will show/hide the 'auto scroll' check-box.

Step 5: Press "Save" button to save your setting.

See Also

ShowAutoScroll


Show/hide the 'name field'
To show/hide the 'name field', please follow these steps:

Step 1: Run Chat Anywhere and select a chat room, then press the "OK" button

Step 2: Click the "Custom" button on the toolbar

Step 3: Then please click the "Chat Page" button

Step 4: There are 4 areas on the chat page: Input, Title, Board, List.

Click on the Input area you will see this pop-up menu:

Check/un-check the menu item "Show name field" will show/hide the 'name field'.

Step 5: Press "Save" button to save your setting.

See Also

ShowNameField


Show/hide the foreground color selector
To show/hide the foreground color selector, please follow these steps:

Step 1: Run Chat Anywhere and select a chat room, then press the "OK" button

Step 2: Click the "Custom" button on the toolbar

Step 3: Then please click the "Chat Page" button

Step 4: There are 4 areas on the chat page: Input, Title, Board, List.

Click on the Input area you will see this pop-up menu:

Check/un-check the menu item "Show foreground color selector" will show/hide the foreground color selector.

Step 5: Press "Save" button to save your setting.

See Also

Show/hide the background color selector


Show/hide the background color selector
To show/hide the background color selector, please follow these steps:

Step 1: Run Chat Anywhere and select a chat room, then press the "OK" button

Step 2: Click the "Custom" button on the toolbar

Step 3: Then please click the "Chat Page" button

Step 4: There are 4 areas on the chat page: Input, Title, Board, List.

Click on the Input area you will see this pop-up menu:

Check/un-check the menu item "Show background color selector" will show/hide the background color selector.

Step 5: Press "Save" button to save your setting.

See Also

Show/hide the foreground color selector


Show/hide the emotion selector
The "emotion" means a picture that user can paste it on the chat screen.

To show/hide the emotion selector,

please follow these steps:

Step 1: Run Chat Anywhere and select a chat room, then press the "OK" button

Step 2: Click the "Custom" button on the toolbar

Step 3: Then please click the "Chat Page" button

Step 4: There are 4 areas on the chat page: Input, Title, Board, List.

Click on the Input area you will see this pop-up menu:

Check/un-check the menu item "Show emotion selector" will show/hide the emotion selector.

Step 5: Press "Save" button to save your setting.

See Also

Customize the emotions


Show/hide the 'Clear' button
To show/hide the 'Clear' button, please follow these steps:

Step 1: Run Chat Anywhere and select a chat room, then press the "OK" button

Step 2: Click the "Custom" button on the toolbar

Step 3: Then please click the "Chat Page" button

Step 4: There are 4 areas on the chat page: Input, Title, Board, List.

Click on the Input area you will see this pop-up menu:

Check/un-check the menu item "Show 'Clear' button" will show/hide the 'Clear' button.

Step 5: Press "Save" button to save your setting.

See Also

Show/hide the 'Exit' button


Show/hide the 'Exit' button
To show/hide the 'Exit' button please follow these steps:

Step 1: Run Chat Anywhere and select a chat room, then press the "OK" button

Step 2: Click the "Custom" button on the toolbar

Step 3: Then please click the "Chat Page" button

Step 4: There are 4 areas on the chat page: Input, Title, Board, List.

Click on the Input area you will see this pop-up menu:

Check/un-check the menu item "Show 'Exit' button" will show/hide the 'Exit' button.

Step 5: Press "Save" button to save your setting.

See Also

Show/hide the 'Clear' button


Ban name list
The "ban name" means a name which user can not use it to log into your chat room.

Sometimes you do not want user log into your chat room with certain names, such as "Boss", "Webmaster", etc. So you need to let Chat Anywhere know what names you want to ban. What you need to do is to put a plain text file into the Chat Anywhere directory and name the file as "BanName.txt".

Every line in this file is one name you want to ban (not case sensitive).
For example:
boss
webmaster

If you do not want ban any name, please delete the file "BanName.txt".

See Also

The 'Forbidden IP', Language filter


Change the font, font size, font color, and font style

By editing the file "chat.css", you can change the font, font size, font color, and font style for almost all elements on the chat screen.

The file "chat.css" must be put into the directory "root\".

The default content of "chat.css" is:
body {font-family: "Arial"; font-size: 10pt}
table {font-family: "Arial"; font-size: 10pt}
input {font-family: "Arial"; font-size: 9pt}
label {font-family: "Arial"; font-size: 9pt}
select {font-family: "Arial"; font-size: 9pt}

.C0 {background-color:#FFFFFF;}
.C1 {background-color:#000000;}
.C2 {background-color:#008000;}
.C3 {background-color:#800000;}
.C4 {background-color:#808000;}
.C5 {background-color:#000080;}
.C6 {background-color:#800080;}
.C7 {background-color:#808080;}
.C8 {background-color:#FFFF00;}
.C9 {background-color:#00FF00;}
.C10 {background-color:#00FFFF;}
.C11 {background-color:#FF00FF;}
.C12 {background-color:#C0C0C0;}
.C13 {background-color:#FF0000;}
.C14 {background-color:#0000FF;}
.C15 {background-color:#008080;}
.C16 {}

a:link  {color:blue;text-decoration: underline}
a:hover {color:blue;text-decoration: none}
a:visited {color:blue;text-decoration: underline}

.Stamp {font-family: "Arial"; font-size: 8pt; font-style: normal; color: gray}

For example,
* if you want to use font "Verdana" in your chat room, please change all font-family: "Arial" to font-family: "Verdana". then please save the modified .css file and restart your chat room.
* if you want to use bigger font, please change
body {font-family: "Arial"; font-size: 10pt}
to
body {font-family: "Arial"; font-size: 12pt}
then please save the modified .css file and restart your chat room.

Note:
Before you edit the "chat.css" file, please backup it first.

See Also

Change the style


Customize the emotions
The "emotion" means a picture that user can paste it on the chat screen.

Actually you can modify the descriptions in this selector and you can use your own pictures.

All emotion pictures are put into the directory "root\images\emotion\". And all descriptions are stored in the file "description.txt"

If you open "description.txt" with the notepad then you will see:
emotion1.gif,Laughing
emotion2.gif,Smile 1
emotion3.gif,Smile 2
emotion4.gif,Shy 1
emotion5.gif,Shy 2
emotion6.gif,Sad
...

The format is: Filename,Description

So if you want to add a new emotion, please follow these steps:
1) copy your image file into the directory "root\images\emotion\"
2) edit the file "description.txt" and add a line for the new emotion.
3) save this file and then restart the chat room.

See Also

Show/hide the emotion selector


Customize the sound for 'sound alert'
If you enabled "sound alert" for your chat room, all users will hear a sound when a new user comes into the chat room.

The chat room will play "sound.mid" by default. You can use your sound file for the sound alert function. All sound files should be put into the directory "root\". You can use MP3 file (.mp3), midi file (*.mid), wave file (*.wav).

To customize the sound (suppose you want to use "sound.mp3"), please follow these steps:

Step 1: copy your sound file (sound.mp3) into the directory "root\"

Step 2: open the chat room setting file with notepad. (You can find the room setting file in the directory "room\")

Step 3: find this line:
...
SoundFile=sound.mid
...
Then modify it: SoundFile=sound.mp3

Step 4: save the room setting file and then restart the chat room

See Also

Enable/disable the 'sound alert' function, SoundFile, SoundAlert


Display a note on the chat screen
The note is a message that will always be displayed on the top of board area and can not be cleared by the "Clear" button in the chat room.

For example,
To display a note "Welcome to my chat room" on the chat screen, please follow these steps:
Step 1: open the chat room setting file with notepad. (You can find the room setting file in the directory "room\")
Step 2: add this line:
...
NoteMessage=Welcome to my chat room
Step 3: save the room setting file and then restart the chat room

See Also

NoteMessage


Redirect users to a URL when they exit your chat room

By default, users will be redirected to the login page when they click the "Exit" button in the chat room. If you want to redirect them to another location, e.g. your homepage, please follow these steps:
(suppose you want to redirect them to http://www.lionmax.com when they click the "Exit" button)

Step 1: open the chat room setting file with notepad. (You can find the room setting file in the directory "room\")

Step 2: add this line:
...
ExitToURL=http://www.lionmax.com

Step 3: save the room setting file and then restart the chat room

See Also

ExitToURL


Password protection
If you've set passwords for your chat room, no one can enter your chat room if this person doesn't know right user name and password.

To enable/disable password protection for your chat room, please follow these steps:
Step 1: Run Chat Anywhere and select a chat room, then press the "OK" button

Step 2: Click the "Custom" button on the toolbar

Step 3: Then please click the "Login Page" button

Step 4: Check/un-check the "Password protection" check-box to enable/disable password protection.

Step 5: If you check the "Password protection" check-box, you will see this window:

Step 5: Input the name and password, click the "add" button to add the name and password to the list, click the "Save" button to save and exit.

See Also

The 'Forbidden IP'


Enable/disable logging
To enable/disable logging, please follow these steps:

Step 1: Click the "Log" button on the toolbar

Step 2: Check/un-check these two check-boxes to enable/disable logging

Remark

All log files are put into the directory "log".

See Also

LogChat, LogGeneral


The 'Forbidden IP'
You can kick the unwelcomed person out of your chat room. But if this person logs into your chat room time after time, what can you do then? You can set his/her IP address as "forbidden" so this person can not connect to your chat room at all. You can find this person's name and IP from the main window. For example, Mike is the unwelcomed person, Mike's IP address is "169.254.117.157".

Then please click "Forbidden IP" button on the toolbar.

Type "169.254.117.157" in the IP field, then click "Add this IP" button.

Then Mike's IP address is forbidden and he can not connect to your chat room nor enter it.

See Also

Ban name list, Language filter


Language filter
If you do not want to see foul language in your chat room, then please use this language filter.

Step 1: Click the "Filter" button on the toolbar

Step 2: Check/un-check the "Enable language filter" to enable/disable language filter.

Step 3: Input the foul word you want to ban, click the "add" button to add it to the list.

See Also

Ban name list, The 'Forbidden IP', EnableFilter


Use your own html file for the login page
Chat Anywhere can generate a login page for your chat room. If you want to use your own html file, please follow these steps:

Step 1: put your html page into the directory "root\". For example, you want to use "login1.htm", then please put it into directory "root\"

Step 2: open the chat room setting file with notepad. (You can find the room setting file in the directory "room\")

Step 3: add this line:
...
LoginPage=login1.htm

Step 4: save the room setting file and then restart the chat room

See Also

LoginPage


User limitation
Sometimes you do not want too much person inside your chat room at one time. So you need to set a limitation for it. To set the user limitation, please follow these steps:

Step 1: open the chat room setting file with notepad. (You can find the room setting file in the directory "room\")

Step 2: add this line:
...
MaxUser=20
This example will allow not more than 20 people inside your chat room at one time.

Step 3: save the room setting file and then restart the chat room

See Also

MaxUser


How to log into the chat room without inputting name and password?
If you have a website and your customers have already logged into your website, they do not want to input name and password again to enter your chat room. Then you need to write a script file that has the ability to get the user name and password and post these information to your chat room automatically.

This is a sample .ASP file (in VBScript):
<%
dim UserName
dim UserPassword
UserName=GetUserName() '<- get the username
UserPassword=GetUserPassword() '<- get the password

function GetUserName()
...
End function

function GetUserPassword()
...
End function
%>
<html>
<head>
<title></title>
<script language="Javascript">
function PostUserName()
{document.form1.submit();}
</script>
</head>
<body onload="PostUserName()">
<form name="form1" method="post" action="http://xxx.xxx.xxx.xxx/chatroom.htm">
<input type="hidden" name="UserName" value="<%=UserName%>">
<input type="hidden" name="Password" value="<%=UserPassword%>">
</form>
</body>
</html>

This page will get the user name and password then post them to the chat room so the user will login without typing anything. But you should write the function "SetUserName()" and "GetUserPassword()" by yourself.

Note:
1) The name of "name field" must be "UserName"
2) The name of "password field" must be "Password"
3) The form must be posted to http://Your IP:chatroom.htm

See Also

Use your own html file for the login page


How to display the amount of chatters and the user list on my home page?
Step 1: Open the chat room setting file (.\room\RoomName.ini) with notepad and set EnableScript=True.

Step 2: Modify your hompage, insert these two scripts:
<script src="http://YourIP/script?counter"></script>
<script src="http://YourIP/script?list"></script>

For more information, please read "EnableScript".
To see the demo, please open chat room "Demo2" and visit the login page.

Note:
* The script <script src="http://YourIP/script?counter"></script> will return the amount of chatters inside your chat room.
* The script <script src="http://YourIP/script?list"></script> will return the user list of your chat room.
* You need to change "YourIP" to your chat room's IP address.

See Also

EnableScript


Room setting files
There are 5 kinds of setting files in Chat Anywhere's directory:
File Name | Content
.\Fip.cfg | Forbidden IP
.\FOUL.txt | Foul language
.\password\RoomName.pwd | User name and password
.\room\RoomName.ini | Main settings of the chat room
.\Root\images\emotion\description.txt | Emotions

They are all plain text files so you can open and modify them with any text editor or other appications. Chat Anywhere monitors them all the time. When you modify and save a setting file, it will be reloaded by Chat Anywhere within 1 or 2 seconds. So you can change almost all settings without stopping the chat service.

You can find the main setting file in the directory "room".

To learn more about the main setting file, please read this Index.


Index of the key in the INI file
BannerImage
BannerLink
BoardBackColor
BoardBackImage
ChatroomNO
EnableFilter
EnableScript
ExitToURL
HistorySentence
InputBackColor
InputBackImage
LanguageFile
LaunchBrowser
ListBackColor
ListBackImage
LogChat
LogGeneral
LoginBackColor
LoginBackImage
LoginPanelBorderColor
LoginPanelColor
LoginWelcomeImage
ManageName
ManagePassword
ManagePort
MaxUser
MessageFieldWidth
NameFieldWidth
NoPrivateChat
NoteMessage
PasswordProtection
PortNum
ShowAutoScroll
ShowBackgroundColorSelector
ShowClearButton
ShowEmotion
ShowExitButton
ShowForegroundColorSelector
ShowNameField
StartManageServiceWithChatroom
SoundAlert
SoundFile
TimeStamp
TitleBackColor
TitleBackImage
TopicBold
TopicColor
TopicSize
TopicText
UseTopic


BannerImage

 Index

Description

Sets the image file for the banner in the chat room. All banner image files should be put into the directory "root\images\banner\".

Syntax

BannerImage = image filename

Example

BannerImage=chatanywhere.gif
* This will set "root\images\banner\chatanywhere.gif" as the banner.

See Also

BannerLink, UseTopic, Room setting files


BannerLink

Description

Sets a custom URL to open in a new window when the user clicks the banner in the chat room.

Syntax

BannerLink = URL

Example

BannerLink=http://www.lionmax.com

See Also

BannerImage, ExitToURL, Room setting files


BoardBackColor

Description

Sets the background color for the board area in the chat room.

Syntax

BoardBackColor = color

Example

BoardBackColor=16777215

Remarks

The best way to set the color is to set it on the "Custom" -> "Chat Page" window. Right click on the banner area, click item "Background Color" from the pop-up menu and then select the color from the color picker dialog box.

See Also

BoardBackImage, InputBackColor, ListBackColor, TitleBackColor, Room setting files


BoardBackImage

Description

Sets the background image file for the board area in the chat room. All background image files should be put into the directory "root\images\bkground\".

Syntax

BoardBackImage = image filename

Example

BoardBackImage=bk2.jpg
* This will set "root\images\bkground\bk2.jpg" as the background for the board area.

See Also

BoardBackColor, InputBackImage, ListBackImage, TitleBackImage, Room setting files


ChatroomNO

Description

Sets the chat room style. From 1 to 12. The default is 1.

Syntax

ChatroomNO = integer

Example

ChatroomNO=2

See Also

PortNum, Room setting files


EnableFilter

Description

Enable/disable language filter. The default is False.

Syntax

EnableFilter = Boolean

Example

EnableFilter=True
* This will enable language filter.

See Also

Language filter


EnableScript

Description

The default is False. Set to True will allow users to access "/script?counter" or "/script?list".
* The script <script src="http://YourIP/script?counter"></script> will return the amount of chatters inside your chat room.
* The script <script src="http://YourIP/script?list"></script> will return the user list of your chat room.

Syntax

EnableScript = Boolean

Example

Open the chat room setting file (.\room\RoomName.ini) with notepad and set EnableScript=True. Then below page will show how many users inside your chat room and their nicknames. To see the result, you need to start your chat room first and change "YourIP" to your chat room's IP address.

<Html>
<Body>
<center>
<script src="http://YourIP/script?counter"></script> users inside
<hr>
<script src="http://YourIP/script?list"></script>
</center>
</Body>
</Html>

This page will display something like this:
3 users inside
Andy
Mike
Jane

See Also

How to display the amount of chatters and the user list on my home page?


ExitToURL

Description

Sets a custom URL to redirect to when the user clicks the "Exit" button in the chat room.

Syntax

ExitToURL = URL

Example

ExitToURL=http://www.lionmax.com
* This will redirect user to http://www.lionmax.com when the user clicks the "Exit" button.

Remarks

User will always be redirected to the login page becaues there is no this key in the INI file by default. If you want to set the URL, e.g. the URL of your company's hoempage, please open the chat room's INI file with any text editor and add this key to the INI file.

See Also

ShowExitButton, Room setting files, Redirect users to a URL when they exit your chat room


HistorySentence

Description

Sets how many history sentences will be displaied on the chat screen to the new comer when he/she enters the chat room. It also determines how many sentences will be left on the chat screen when the chatter clears the chat screen.

Syntax

HistorySentence = integer

Example

HistorySentence=10

Remarks

* The defualt value is 1.
* "HistorySentence=0" will disable this function
* The maximum value is 1000.

See Also

TimeStamp, Room setting files


InputBackColor

Description

Sets the background color for the input area in the chat room.

Syntax

InputBackColor = color

Example

InputBackColor=13624523

Remarks

The best way to set the color is to set it on the "Custom" -> "Chat Page" window. Right click on the input area, click item "Background Color" from the pop-up menu and then select the color from the color picker dialog box.

See Also

InputBackImage, BoardBackColor, ListBackColor, TitleBackColor, Room setting files


InputBackImage

Description

Sets the background image file for the input area in the chat room. All background image files should be put into the directory "root\images\bkground\".

Syntax

InputBackImage = image filename

Example

InputBackImage=bk2.jpg
* This will set "root\images\bkground\bk2.jpg" as the background for the input area.

See Also

InputBackColor, BoardBackImage, ListBackImage, TitleBackImage, Room setting files


LanguageFile

Description

Sets the language file for the chat room. All language files should be put into the directory "language\". The default language file is 'English.txt'.

Syntax

LanguageFile = Language Filename

Example

LanguageFile=English.txt

See Also

Change the language, Room setting files


LaunchBrowser

Description

Enable/disable opening a browser when start a chat room. The default is True.

Syntax

LaunchBrowser = Boolean

Example

LaunchBrowser=True

See Also

Copyright © 2003 LionMax Software. All Rights Reserved.


ListBackColor

Description

Sets the background color for the list area in the chat room.

Syntax

ListBackColor = color

Example

ListBackColor=16777215

Remarks

The best way to set the color is to set it on the "Custom" -> "Chat Page" window. Right click on the list area, click item "Background color" from the pop-up menu and then select the color from the color picker dialog box.

See Also

ListBackImage, BoardBackColor, InputBackColor, TitleBackColor, Room setting files


ListBackImage

Description

Sets the background image file for the list area in the chat room. All background image files should be put into the directory "root\images\bkground\".

Syntax

ListBackImage = image filename

Example

ListBackImage=bk1.jpg
* This will set "root\images\bkground\bk1.jpg" as the background for the list area.

See Also

ListBackColor, BoardBackImage, InputBackImage, TitleBackImage, Room setting files


LogChat

Description

Enable/disable logging chat contents. The default is False.

Syntax

LogChat = Boolean

Example

LogChat=True
* This will enable logging chat contents.

See Also

Enable/disable logging, LogGeneral , Room setting files


LogGeneral

Description

Enable/disable logging general information. The default is True.

Syntax

LogGeneral = Boolean

Example

LogGeneral=True
* This will enable logging general information.

See Also

Enable/disable logging, LogChat , Room setting files


LoginBackImage

Description

Sets the background image file for the login page. All background image files should be put into the directory "root\images\bkground\".

Syntax

LoginBackImage = image filename

Example

LoginBackImage=bk1.jpg
* This will set "root\images\bkground\bk1.jpg" as the background for the login page.

See Also

LoginBackColor, LoginWelcomeImage, Room setting files


LoginPage

Description

Sets a custom login page. All custom page should be put into the directory "root\".

Syntax

LoginPage = html file name

Example

LoginPage=login1.htm
* This will use "root\login1.htm" as the login page.

Remarks

There are two sample files - "login1.htm" and "login2.htm" under the directory "root\". Please open them and read the source code to learn how to write your own page.
Note:
1) The name of "name field" must be "UserName"
2) The name of "password field" must be "Password"
3) The form must be posted to "chatroom.htm"

Example:
<form name="form1" method="post" action="chatroom.htm">
Your Name: <input type="text" name="UserName"><br>
Password: <input type="password" name="Password"><br>
<input type="submit" name="submit" value=" Enter ">
</form>

There is no this key in the INI file by default. If you want to set it, please open the chat room's INI file with any text editor and add this key to the INI file. And you must put your own html page into the directory "root\" so Chat Anywhere can find it.

See Also

ExitToURL, Room setting files, Use your own html file for the login page


LoginPanelBorderColor

Description

Sets the border color for the panel on the login page.

Syntax

LoginPanelBorderColor = color

Example

LoginPanelBorderColor=16777215

Remarks

The best way to set the color is to set it on the "Custom" -> "Login Page" window and select the color from the color picker dialog box.

See Also

LoginPanelColor, Room setting files


LoginPanelColor

Description

Sets the color for the panel on the login page.

Syntax

LoginPanelColor = color

Example

LoginPanelColor=13624523

Remarks

The best way to set the color is to set it on the "Custom" -> "Login Page" window and select the color from the color picker dialog box.

See Also

LoginPanelBorderColor, Room setting files


LoginWelcomeImage

Description

Sets the welcome image file for the login page. All welcome image files should be put into the directory "root\images\Welcome\".

Syntax

LoginWelcomeImage = image filename

Example

LoginWelcomeImage=football.gif
* This will set "root\images\Welcome\football.gif" as the welcome image file for the login page.

See Also

LoginBackImage, Room setting files


ManageName

Description

Sets the user name for controlling the remote manage service.

Syntax

ManageName = string

Example

ManageName=admin

See Also

ManagePassword, ManagePort, StartManageServiceWithChatroom, Room setting files


ManagePassword

Description

Sets the password for controlling the remote manage service.

Syntax

ManagePassword = string

Example

ManagePassword=camaster

See Also

ManageName, ManagePort, StartManageServiceWithChatroom, Room setting files


ManagePort

Description

Sets the port number for the remote manage service. The default port number is 6000.

Syntax

ManagePort = integer

Example

ManagePort=5000

See Also

ManageName, ManagePassword, StartManageServiceWithChatroom, Room setting files


MaxUser

Description

Sets the maximal user amount for the chat room. The default is 0. (0 means disable this function)

Syntax

MaxUser = integer

Example

Example 1:
MaxUser=100
* It will allow not more than 100 users inside the chat room at one time.

Example 2:
MaxUser=2
* Then you can chat with a certain person in the chat room, no one else can login and disturb you when you are chatting.

Remarks

There is no this key in the INI file by default. If you want to set it, please open the chat room's INI file with any text editor and add this key to the INI file. If you do not want to set the limitation, please remove this key or set "MaxUser=0".

See Also

PasswordProtection, Room setting files, User limitation


MessageFieldWidth

Description

Sets the width of the message field. The default width is 50 characters.

Syntax

MessageFieldWidth = integer

Example

MessageFieldWidth=65
* Increase the width to 65 characters.

See Also

NameFieldWidth , Room setting files


NameFieldWidth

Description

Sets the width of the name field (the "To:" field) of the chat room. The default width is 10 characters.

Syntax

NameFieldWidth = integer

Example

NameFieldWidth=25
* Increase the width to 25 characters.

See Also

MessageFieldWidth, ShowNameField , Room setting files


NoPrivateChat

Description

Enable/disable the private chat function. The default is False.

Syntax

NoPrivateChat = Boolean

Example

NoPrivateChat=False
* This will enable the private chat function.

See Also

ShowAutoScroll, ShowNameField, ShowForegroundColorSelector, ShowBackgroundColorSelector, ShowClearButton, ShowExitButton, ShowEmotion, Room setting files


NoteMessage

Description

Display a note on the chat screen. The note will always be displayed on the top of board area and can not be cleared by the "Clear" button in the chat room.

Syntax

NoteMessage = text

Example

Example 1:
NoteMessage=Welcome to My Chatroom!

Example 2:
NoteMessage=<center><h2>Today's Topic: Football<h2></center><hr>
* This will display something like this:

Today's Topic: Football
So you can use it as your chat room's topic.

Example 3:
NoteMessage= <script language="Javascript">alert("Hello! Welcome to my chat room!");</script>
* This will display a message box when user enter your chat room.

Remarks

There is no this key in the INI file by default. If you want to set it, please open the chat room's INI file with any text editor and add this key to the INI file.

See Also

TopicText, Room setting files, Display a note on the chat screen


PasswordProtection

Description

Enable/disable password protection. The default is False.

Syntax

PasswordProtection = Boolean

Example

PasswordProtection=False

See Also

MaxUser, Room setting files


PortNum

Description

Sets the port number of the chat room. The default port number is 80.

Syntax

PortNum = integer

Example

PortNum=80

See Also

ManagePort, Room setting files


ShowAutoScroll

Description

Show/hide the "auto scroll" check-box in the chat room. The default is True.

Syntax

ShowAutoScroll = Boolean

Example

ShowAutoScroll=True

See Also

ShowNameField, ShowForegroundColorSelector, ShowBackgroundColorSelector, ShowClearButton, ShowExitButton, ShowEmotion, NoPrivateChat, Room setting files


ShowBackgroundColorSelector

Description

Show/hide the selector of the background color in the chat room. The default is True.

Syntax

ShowBackgroundColorSelector = Boolean

Example

ShowBackgroundColorSelector=True

See Also

ShowAutoScroll, ShowNameField, ShowForegroundColorSelector, ShowClearButton, ShowExitButton, ShowEmotion, NoPrivateChat, Room setting files


ShowClearButton

Description

Show/hide the "Clear" button in the chat room. The default is True.

Syntax

ShowClearButton = Boolean

Example

ShowClearButton=True

See Also

ShowAutoScroll, ShowNameField, ShowForegroundColorSelector, ShowBackgroundColorSelector, ShowExitButton, ShowEmotion, NoPrivateChat, Room setting files


ShowEmotion

Description

Show/hide the emotion selector in the chat room. The default is True.

Syntax

ShowEmotion = Boolean

Example

ShowEmotion=True

See Also

ShowAutoScroll, ShowNameField, ShowForegroundColorSelector, ShowBackgroundColorSelector, ShowClearButton, ShowExitButton, NoPrivateChat, Room setting files


ShowExitButton

Description

Show/hide the "Exit" button in the chat room. The default is True.

Syntax

ShowExitButton = Boolean

Example

ShowExitButton=True

See Also

ShowAutoScroll, ShowNameField, ShowForegroundColorSelector, ShowBackgroundColorSelector, ShowClearButton, ShowEmotion, NoPrivateChat, Room setting files


ShowForegroundColorSelector

Description

Show/hide the selector of the foreground color in the chat room. The default is True.

Syntax

ShowForegroundColorSelector = Boolean

Example

ShowForegroundColorSelector=True

See Also

ShowAutoScroll, ShowNameField, ShowBackgroundColorSelector, ShowClearButton, ShowExitButton, ShowEmotion, NoPrivateChat, Room setting files


ShowNameField

Description

Show/hide the name filed in the chat room. The default is True.

Syntax

ShowNameField = Boolean

Example

ShowNameField=True

See Also

NameFieldWidth,ShowAutoScroll, ShowForegroundColorSelector, ShowBackgroundColorSelector, ShowClearButton, ShowExitButton, ShowEmotion, NoPrivateChat, Room setting files


StartManageServiceWithChatroom

Description

Enable/disable the remote manage service when start the chat room. The default is False.

Syntax

StartManageServiceWithChatroom = Boolean

Example

StartManageServiceWithChatroom=False

See Also

ManagePort, ManageName, ManagePassword, Room setting files


SoundAlert

Description

Enable/disable the sound alert function. The default is True.

Syntax

SoundAlert = Boolean

Example

SoundAlert=True

See Also

SoundFile, Room setting files


SoundFile

Description

Sets the sound file for sound alert. All sound files should be put into the directory "root\". You can use MP3 file (.mp3), midi file (*.mid), wave file (*.wav). The default sound file is "sound.mid".

Syntax

SoundFile = sound filename

Example

SoundFile=sound.mid
* This will set "root\sound.mid" as the sound file.

See Also

SoundAlert, Room setting files, Customize the sound for 'sound alert'


TimeStamp

Description

Show/hide the timestamp in the chat room. The default is True.

Syntax

TimeStamp = Boolean

Example

TimeStamp=True

See Also

HistorySentence, Room setting files


TitleBackColor

Description

Sets the background color for the title area in the chat room.

Syntax

TitleBackColor = color

Example

TitleBackColor=16777215

Remarks

The best way to set the color is to set it on the "Custom" -> "Chat Page" window. Right click on the title area, click item "Background Color" from the pop-up menu and then select the color from the color picker dialog box.

See Also

TitleBackImage, BoardBackColor, InputBackColor, ListBackColor, Room setting files


TitleBackImage

Description

Sets the background image file for the title area in the chat room. All background image files should be put into the directory "root\images\bkground\".

Syntax

TitleBackImage = image filename

Example

TitleBackImage=bk1.jpg
* This will set "root\images\bkground\bk1.jpg" as the background for the title area.

See Also

TitleBackColor, BoardBackImage, ListBackImage, InputBackImage, Room setting files


TopicBold

Description

Enable/disable the bold font for the topic. The default is True.

Syntax

TopicBold = Boolean

Example

TopicBold=False

See Also

TopicColor, TopicSize, TopicText, Room setting files


TopicColor

Description

Sets the color for the chat topic.

Syntax

TopicColor = color

Example

TopicColor=16711808

Remarks

The best way to set the color is to set it on the "Custom" -> "Chat Page" window. Right click on the title area, click item "Background Color" from the pop-up menu and then select the color from the color picker dialog box.

See Also

TopicBold, TopicSize, TopicText, Room setting files


TopicSize

Description

Sets the font size of the topic. The default is 5.

Syntax

TopicSize = integer

Example

TopicSize=5

See Also

TopicColor, TopicBold, TopicText, Room setting files


TopicText

Description

Sets the chat topic.

Syntax

TopicText = Topic

Example

TopicText=Welcome to My Chatroom!

See Also

TopicColor, TopicBold, TopicSize, UseTopic, Room setting files


UseTopic

Description

You can display banner or topic on the title area. If you want to use topic, set it as true. The default is False.

Syntax

UseTopic = Boolean

Example

UseTopic=False
* This will display banner on the title area.

See Also

TopicText, BannerImage, Room setting files


Registration

Chat Anywhere is a shareware program which means you have a chance to try the software before you buy it. If you plan to continue to use Chat Anywhere please register it.

What will I get if I register Chat Anywhere?
1) You will receive a registration code for removing the time limitation of this software. Unregistered version will expire and stop working after 30 days.
2) Free Lifetime upgrades means that you will get all future updates of Chat Anywhere for free for the rest of your life.

Secure online order
Chat Anywhere
Chat Anywhere
* Online order page: http://secure.emetrix.com/order/product.asp?PID=20757823
* Click on the Buynow button to make an online purchase.
Buy Chat Anywhere
Our order pages are on a secure server. To make a secure online order by using credit card, please click the button or link above. Once your credit card is accepted you will receive an email confirmation of the order. The registration code will be emailed to you within 24 hours.

Foreign currency price is based on daily exchange rates. To order it with Euro, British Pound, Canadian Dollar, Australian Dollar or Hong Kong Dollar, please select your currency from the drop-down menu on the order page.

Other Ways to Purchase


Support

Support@lionmax.com
If you have problems or questions about using our software, let us help you.

Order@lionmax.com
If you have order problems or questions, please let us know.
If you lost your registration code, let us help you. Please include your name, address, email address and order confirmation number (if you have it). We will be happy to help you.

Comments@lionmax.com
Send us your comments! We'd love to hear from you!

Webmaster@lionmax.com
If you have any comments concerning our website, please contact webmaster.

Biz@lionmax.com
Currently our software is only distributed on the Internet. If you are interested in exchanging links with us, or would like to help us with physical distribution, promotion in software compilations, or business cooperation, kindly let us know! We are open to various levels of cooperation.

You can always download the latest version of Chat Anywhere at:
http://www.lionmax.com


LoginBackColor

Description

Sets the background color for the login page.

Syntax

LoginBackColor = color

Example

LoginBackColor=16777215

Remarks

The best way to set the color is to set it on the "Custom" -> "Login Page" window and select the color from the color picker dialog box.

See Also

LoginBackImage, Room setting files


Jpg animated slide show

Other Ways to Purchase
Credit Card Order by Phone
To place your order by phone call us with your credit card information ready at one of the numbers below:

Toll Free (US and Canada only): 888-447-1175
Standard (International): 801-444-2837
Credit Card Order by Fax
Click here to go to the fax order form. Fill out the applicable information, and send the form to the fax number located at the top of the form.
Check / Money Order
 Click here to go to the check order form. Fill out the applicable information, and send the form with payment to the address located at the top of the form. Please note that we can only accept checks or money orders in US Dollars drawn from a US bank.
Purchase Order
We accept purchase orders from qualified corporations and organizations on orders of $50 or more. Please submit the purchase order to us by fax (801-497-9456) or email (sales@emetrix.com). Please note that we can only accept purchase orders with pricing in US Dollars.

Please include complete information including the product you wish to purchase, your billing address, phone number, etc. You MUST include an email address for product delivery.

The company information for your records can be found below:

Emetrix
ATTN: Sales
1648 Willow Dr
Kaysville, UT 84037
Copyright © 2003 Naturpic Software. All Rights Reserved.